Skip to content
Start here

List apps

client.Calls.SFU.List(ctx, query) (*SinglePage[SFUListResponse], error)
GET/accounts/{account_id}/calls/apps

Lists all apps in the Cloudflare account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls WriteCalls Read
ParametersExpand Collapse
query SFUListParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type SFUListResponse struct{…}
Created Timeoptional

The date and time the item was created.

formatdate-time
Modified Timeoptional

The date and time the item was last modified.

formatdate-time
Name stringoptional

A short description of Calls app, not shown to end users.

UID stringoptional

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

List apps

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/calls"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Calls.SFU.List(context.TODO(), calls.SFUListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created": "2014-01-02T02:20:00Z",
      "modified": "2014-01-02T02:20:00Z",
      "name": "production-realtime-app",
      "uid": "2a95132c15732412d22c1476fa83f27a"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created": "2014-01-02T02:20:00Z",
      "modified": "2014-01-02T02:20:00Z",
      "name": "production-realtime-app",
      "uid": "2a95132c15732412d22c1476fa83f27a"
    }
  ]
}